package com.bokecc.room.ui.view.video;

import android.content.Context;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;

public class CatchExceptionLinearLayoutMananger extends LinearLayoutManager {
    public CatchExceptionLinearLayoutMananger(Context context) {
        super(context);
    }

    public CatchExceptionLinearLayoutMananger(Context context, int orientation, boolean reverseLayout) {
        super(context, orientation, reverseLayout);
    }

    @Override
    public void onLayoutChildren(RecyclerView.Recycler recycler, RecyclerView.State state) {
        try {
            super.onLayoutChildren(recycler, state);
        } catch (IndexOutOfBoundsException ignored){
            ignored.printStackTrace();
        }

    }
}
